<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>转换考勤数据</title>
<style>
body {
	background-color: #EEE;
}
.label {
	height: 40px;
	line-height: 24px;
}
input.value {
	width: 40px;
	text-align: center;
}
input.file {
	background-color: #CCC;
}
form {
	position: absolute;
	left: 50%;
	top: 50%;
}
.continer {
	background-color: #FFF;
	width: 600px;
	border: 1px solid #000;
	border-radius: 5px;
	padding: 20px 30px;
	position: absolute;
	left: -330px;
	top: -200px;
}
button {
	float: right;
}
</style>
</head>
<body>
	<?php
	$time=time();
	$year = date('Y',$time);
	$month = date('m',$time)-1;
	if(!$month){
		$month = 12;
		$year--;
	}
	?>
	<script src="jquery.min.js"></script>
	<form action="" method="post" enctype="multipart/form-data">
		<div class="continer">
			<h1>转换考勤数据</h1>
			<div class="label">
				从 <input type="file" name="file" class="file" /> 中提取
				<input type="text" class="value" name="year"  value="<?php echo $year; ?>" />年
				<input type="text" class="value" name="month" value="<?php echo $month;?>" />月
				的考勤</div>
			<div class="label">
				考勤机：<select name="type">
					<option value="zhongxin">中心款</option>
					<option value="keda">科大款</option>
					<option value="xiangmubu">项目部款</option>
				</select>
			</div>
			<div class="label">上月累计休(前一个月的考勤表)：<input type="file" class="file" name="unRestDay" /> (公式=&gt;值)</div>
			<div class="label">
				转换后的标题：<span id="date"><?php echo $year; ?>年<?php echo $month;?>月</span>_<input type="text" name="title" value="中心考勤表" />
			</div>
			<div class="label">用空格分隔休假人员：<input type="text" name="addStaff" /></div>
			<div class="label">
				<button type="submit">已设置好，开始转换</button>
			</div>
		</div>
	</form>
	<script>
	$(function(){
		$('button').click(function(){
			var type = $('select[name="type"]').val();
			var y = $('input[name="year"]').val();
			var m = $('input[name="month"]').val();
			var t = $('input[name="title"]').val();
			if(y=="" || m == "" || t == "") return false;
			$('form').attr('action', type+'.php');
			$(this).attr('disabled',"true")
			$(this).text('正在转换，不要刷新，注意弹出的保存框')
			$('form').submit();
		});
		$('select').change(function(){
			$('button').text('已设置好，开始转换');
			$('button').removeAttr('disabled');
			var val = $(this).val();
			var obj = $('input[name="title"');
			switch(val){
				case "zhongxin":
					obj.val("中心考勤表");
					break;
				case "keda":
					obj.val("科大考勤表");
					break;
				case "xiangmubu":
					obj.val("项目部考勤表");
					break;
			}
		});
		$('input.value').change(function(){
			var y = $('input[name="year"]').val();
			var m = $('input[name="month"]').val();
			$('#date').text(y+'年'+m+'月');
		});
	});
	</script>
	<a href="xls.zip">下载示例源数据</a>
</body>
</html>